<Project Sdk="Microsoft.NET.Sdk.WindowsDesktop">

  <PropertyGroup>
    <TargetFrameworks>netcoreapp3.1;net5.0-windows7.0</TargetFrameworks>
    <UseWindowsForms>true</UseWindowsForms>
    <Configurations>Debug;Release;Academic;Demo;WinForms;Community</Configurations>
    
    <PackageId>FastReport.CoreWin.Editor</PackageId>
    
    <Optimize>true</Optimize>
  </PropertyGroup>

  <PropertyGroup>
    <Title>FastReport.Editor</Title>
    <Description>Syntax editor library for FastReport.Net</Description>
    <Company>Fast Reports Inc.</Company>
    <Product>FastReport.Editor</Product>
    <Copyright>Copyright © Quantum Whale, LLC. 2007-2020</Copyright>
  </PropertyGroup>
  
  <PropertyGroup>
    <EditorDir>..\..\FastReport.Editor</EditorDir>
  </PropertyGroup>

  <PropertyGroup>
    <DefineConstants>DOTNET_4;TRACE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' == 'Debug'">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <DefineConstants>$(DefineConstants);DEBUG</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' == 'Community'">
    <AssemblyOriginatorKeyFile>..\..\FastReport.OpenSource.snk</AssemblyOriginatorKeyFile>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>

  <ItemGroup>
    <Compile Include="$(EditorDir)\**\*.cs" Exclude="$(EditorDir)\obj\**">
      <Link>%(RecursiveDir)%(Filename)%(Extension)</Link>
    </Compile>
    <Compile Remove="$(EditorDir)\Properties\*.cs" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="$(EditorDir)\**\*.resx;$(EditorDir)\**\*.cur">
      <Link>%(RecursiveDir)%(Filename)%(Extension)</Link>
    </EmbeddedResource>
  </ItemGroup>
  
  <ItemGroup>
    <PackageReference Include="System.Resources.Extensions" Version="4.6.0" />
  </ItemGroup>

</Project>
